> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.getunleash.io/api/get-segments-by-strategy-id/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.getunleash.io/_mcp/server. # Get strategy segments GET https://app.unleash-instance.example.com/api/admin/segments/strategies/{strategyId} Retrieve all segments that are referenced by the specified strategy. Returns an empty list of segments if the strategy ID doesn't exist. Reference: https://docs.getunleash.io/api/get-segments-by-strategy-id ## Authentication - `Authorization` header (required) — API key needed to access this API - `Authorization` header (bearer token, required) — API key needed to access this API, in Bearer token format ## Request ### Path parameters - `strategyId` (string, required) ## Response ### 200 segmentsSchema - `segments` (list of adminSegmentSchema, optional) — A list of segments ## Types ### adminSegmentSchema A description of a [segment](https://docs.getunleash.io/concepts/segments) - `id` (integer, required) — The ID of this segment - `name` (string, required) — The name of this segment - `constraints` (list of constraintSchema, required) — The list of constraints that are used in this segment - `createdAt` (string, required) — When the segment was created - `description` (string, optional, nullable) — The description for this segment - `usedInFeatures` (integer, optional, nullable) — The number of feature flags that use this segment. The number also includes the any flags with pending change requests that would add this segment. - `usedInProjects` (integer, optional, nullable) — The number of projects that use this segment. The number includes any projects with pending change requests that would add this segment. - `project` (string, optional, nullable) — The project the segment belongs to. Only present if the segment is a project-specific segment. - `createdBy` (string, optional, nullable) — The creator's email or username ### constraintSchema A strategy constraint. For more information, refer to [the strategy constraint reference documentation](https://docs.getunleash.io/concepts/activation-strategies#constraints) - `contextName` (string, required) — The name of the context field that this constraint should apply to. - `operator` (enum, required) — The operator to use when evaluating this constraint. For more information about the various operators, refer to [the strategy constraint operator documentation](https://docs.getunleash.io/concepts/activation-strategies#constraint-operators). - Allowed values: `NOT_IN`, `IN`, `STR_ENDS_WITH`, `STR_STARTS_WITH`, `STR_CONTAINS`, `NUM_EQ`, `NUM_GT`, `NUM_GTE`, `NUM_LT`, `NUM_LTE`, `DATE_AFTER`, `DATE_BEFORE`, `SEMVER_EQ`, `SEMVER_GT`, `SEMVER_LT`, `SEMVER_GTE`, `SEMVER_LTE`, `REGEX` - `caseInsensitive` (boolean, optional, default: false) — Whether the operator should be case sensitive or not. Defaults to `false` (being case sensitive). - `inverted` (boolean, optional, default: false) — Whether the result should be negated or not. If `true`, will turn a `true` result into a `false` result and vice versa. - `values` (list of string, optional) — The context values that should be used for constraint evaluation. Use this property instead of `value` for properties that accept multiple values. - `value` (string, optional) — The context value that should be used for constraint evaluation. Use this property instead of `values` for properties that only accept single values. ## Examples **Response** ```json { "segments": [ { "id": 2, "name": "ios-users", "constraints": [ { "contextName": "appName", "operator": "IN", "caseInsensitive": false, "inverted": false, "values": [ "my-app", "my-other-app" ], "value": "my-app" } ], "createdAt": "2023-04-12T11:13:31.960Z", "description": "IOS users segment", "usedInFeatures": 3, "usedInProjects": 2, "project": "red-vista", "createdBy": "someone@example.com" } ] } ``` **SDK Code** ```python import requests url = "https://app.unleash-instance.example.com/api/admin/segments/strategies/strategyId" headers = {"Authorization": ""} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://app.unleash-instance.example.com/api/admin/segments/strategies/strategyId'; const options = {method: 'GET', headers: {Authorization: ''}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://app.unleash-instance.example.com/api/admin/segments/strategies/strategyId" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://app.unleash-instance.example.com/api/admin/segments/strategies/strategyId") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = '' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://app.unleash-instance.example.com/api/admin/segments/strategies/strategyId") .header("Authorization", "") .asString(); ``` ```php request('GET', 'https://app.unleash-instance.example.com/api/admin/segments/strategies/strategyId', [ 'headers' => [ 'Authorization' => '', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://app.unleash-instance.example.com/api/admin/segments/strategies/strategyId"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", ""); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Authorization": ""] let request = NSMutableURLRequest(url: NSURL(string: "https://app.unleash-instance.example.com/api/admin/segments/strategies/strategyId")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```